#include<stdio.h>
int main(){
	int n, i, Ai1, Ai2, Ai3, Ai4;
	float Pi1, Pi2, Pi3, Pi4, zarada, P;
	scanf("%d", &n);
	scanf("%d", &Ai1);
	scanf("%f", &Pi1);
	scanf("%d", &Ai2);
	scanf("%f", &Pi2);
	scanf("%d", &Ai3);
	scanf("%f", &Pi3);
	scanf("%d", &Ai4);
	scanf("%f", &Pi4);
	if(Pi1>Pi2>Pi3 && Pi1<Pi4)P=Pi1;
	if(Pi2>Pi3>Pi4 && Pi2<Pi1)P=Pi2;
	if(Pi3>Pi4>Pi1 && Pi3<Pi2)P=Pi3;
	if(Pi4>Pi1>Pi2 && Pi4<Pi3)P=Pi4;
	if(P>Pi1)zarada=(Ai2+Ai3+Ai4)*P;
	if(P>Pi2)zarada=(Ai1+Ai3+Ai4)*P;
	if(P>Pi3)zarada=(Ai1+Ai2+Ai4)*P;
	if(P>Pi4)zarada=(Ai1+Ai2+Ai3)*P;
	printf("%f", zarada);
return 0;
}